Bug 1469832 - Incorrect "Add a New World Clock" dialog autocompletion list placement on Wayland.
Summary: Incorrect "Add a New World Clock" dialog autocompletion list placement on Way...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-clocks
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: gnome-sig
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2017-07-11 23:08 UTC by Nikita Goncharuk
Modified: 2018-05-29 12:57 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 12:57:10 UTC


Attachments (Terms of Use)
Screenshot of incorrectly placed list. (914.84 KB, image/png)
2017-07-11 23:08 UTC, Nikita Goncharuk
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 782516 None None None 2017-07-11 23:08 UTC

Description Nikita Goncharuk 2017-07-11 23:08:03 UTC
Created attachment 1296582 [details]
Screenshot of incorrectly placed list.

Description of problem:
"Add a New World Clock" dialog autocompletion list isn't displayed or placed incorrectly on multimonitor configuration on Wayland

Version-Release number of selected component (if applicable): 3.24.0


How reproducible:
Run Gnome-clocks on system with two monitors (Combined displays) on Gnome Wayland session.
Bug not happens on left monitor, but happens if "Add a New World Clock" dialog aligned with right edge of left screen and not happens if aligned with left edge of right monitor.


Steps to Reproduce:
1. Run gnome clocks
2. Switch to "World" tab in Gnome clocks
3. Click "New" button.
4. Move appeared "Add a New World Clock" dialog window on the right monitor, see attached screenshot (need 2 monitors, not tested on more, which monitor is primary seems no matter).
5. In "Add a New World Clock" dialog window's only text field start type some city's name.


Actual results:
Autocompletion list is moved right on horizontal resolution of left monitor.

In some cases Autocompletion list not shows at all: if monitors resolution is equal or right's horizontal resolution is smaller than left or "Add a New World Clock" dialog is closer to right edge of right monitor than left's monitor horizontal resolution. (Autocompletion list seems to be placed outside visible area).
 

Expected results:
Autocompletion list is placed just under "Search for a city" text input field aligned with it horizontally.


Additional info:
I've reported same in Gnome's bugzilla with more screenshots but it seems no one have read that. Nothing changed with the bug since that.

Probably similar bugs happens in other Gtk+3 apps but such lists are not very common so I haven't seen other examples.

Comment 1 Lukas Zachar 2017-07-26 16:57:49 UTC
For me on 3 monitor setup (external:secondary, external:primary, laptop:secondary), all are 1920x1080, f26, wayland gnome shell session.

gnome-clocks was on middle (primary) monitor but completion dialogue was shown in the middle of right (secondary) monitor.

Comment 2 Fedora End Of Life 2018-05-03 08:41:56 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 12:57:10 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.